Page MenuHomePhabricator

RfC: Removing bad database abstractions
Closed, DeclinedPublic

Description

We need to decide on the Removing bad database abstractions RfC.

Event Timeline

Qgil created this task.Oct 8 2014, 9:14 PM
Qgil assigned this task to demon.
Qgil raised the priority of this task from to Medium.
Qgil updated the task description. (Show Details)
Qgil added a project: Architecture.
Qgil changed Security from none to None.
Qgil added subscribers: Unknown Object (MLST), Qgil.
Qgil moved this task from Inbox to Ready to Go on the Architecture board.Oct 8 2014, 9:18 PM
Qgil added a comment.Oct 8 2014, 9:46 PM

probably would drop mssql, oracle, might drop postgres <- narrow scope would be just do this
if people reaaaaally want better abstraction we need better systems -> make a separate RFC later to figure that out
for discussion next week

https://www.mediawiki.org/wiki/Architecture_committee/2014-10-08#RFCs_to_triage

demon added a comment.Oct 8 2014, 10:17 PM

I doubt it'll end up being accepted as-is. However there's some useful discussion happening on the talk page.

jm3 added a subscriber: jm3.Oct 9 2014, 9:52 PM
daniel closed this task as Declined.EditedOct 22 2014, 8:44 PM
daniel added a subscriber: daniel.

The didcussion on #wikimedia-office indicates that his can not be accepted as is.

  • there is interested in keeping PG support
  • it owuld be nice to have support for some db systems as extensions, but the details are unclear

The consensus was that since it was unclear what to do, we'd think some more and then talk agin.

Qgil edited projects, added TechCom-RFC; removed Architecture.Oct 22 2014, 8:45 PM
daniel moved this task from Inbox to Declined on the TechCom-RFC board.Feb 27 2015, 3:25 PM
daniel moved this task from Declined to Implemented on the TechCom-RFC board.Feb 27 2015, 3:28 PM
daniel moved this task from Implemented to Declined on the TechCom-RFC board.
Krinkle moved this task from Declined to Implemented on the TechCom-RFC board.Feb 10 2016, 9:31 PM
Krinkle moved this task from Implemented to Declined on the TechCom-RFC board.
jm3 awarded a token.Feb 10 2016, 9:42 PM
jm3 removed a subscriber: jm3.